import { BrowserChecker } from './services/BrowserChecker';
import { DeviceChecker } from './services/DeviceChecker';
import { DisplayChecker } from './services/DisplayChecker';
import { VideoChecker } from './services/VideoChecker';
import { AudioChecker } from './services/AudioChecker';
import { ValueSubject } from '@vkontakte/videoplayer-shared';
export declare class ClientChecker {
    isInited$: ValueSubject<boolean>;
    private _displayChecker;
    private _deviceChecker;
    private _browserChecker;
    private _videoChecker;
    private _audioChecker;
    constructor();
    get display(): DisplayChecker;
    get device(): DeviceChecker;
    get browser(): BrowserChecker;
    get video(): VideoChecker;
    get audio(): AudioChecker;
    detect(): Promise<void>;
}
export declare const clientChecker: ClientChecker;
